- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# QCharRef Class Reference

Search for all occurrences

## Detailed Description

Definition at line 788 of file qstring.h.

`#include <qstring.h>`

List of all members.

## Public Member Functions
| operator QChar () const
QCharRef & | operator= (const QChar &c)
QT_ASCII_CAST_WARN QCharRef & | operator= (char c)
QT_ASCII_CAST_WARN QCharRef & | operator= (uchar c)
QCharRef & | operator= (const QCharRef &c)
QCharRef & | operator= (ushort rc)
QCharRef & | operator= (short rc)
QCharRef & | operator= (uint rc)
QCharRef & | operator= (int rc)
bool | isNull () const
bool | isPrint () const
bool | isPunct () const
bool | isSpace () const
bool | isMark () const
bool | isLetter () const
bool | isNumber () const
bool | isLetterOrNumber ()
bool | isDigit () const
bool | isLower () const
bool | isUpper () const
bool | isTitleCase () const
int | digitValue () const
QChar | toLower () const
QChar | toUpper () const
QChar | toTitleCase () const
QChar::Category | category () const
QChar::Direction | direction () const
QChar::Joining | joining () const
bool | hasMirrored () const
QChar | mirroredChar () const
QString | decomposition () const
QChar::Decomposition | decompositionTag () const
uchar | combiningClass () const
QChar::UnicodeVersion | unicodeVersion () const
uchar | cell () const
uchar | row () const
void | setCell (uchar cell)
void | setRow (uchar row)
char | toAscii () const
char | toLatin1 () const
ushort | unicode () const
ushort & | unicode ()
## Friends
class | QString

## Member Function Documentation

operator QChar | ( |  | ) | const `[inline]`

Definition at line 799 of file qstring.h.

            { return i < s.d->size ? s.d->data[i] : 0; }

QCharRef& operator= | ( | const QChar & | c | ) | `[inline]`

Definition at line 801 of file qstring.h.

            { if (i >= s.d->size) s.expand(i); else s.detach();
              s.d->data[i] = c.unicode();  return *this; }

QT_ASCII_CAST_WARN QCharRef& operator= | ( | char | c | ) | `[inline]`

Definition at line 807 of file qstring.h.

        { return operator=(QChar::fromAscii(c)); }

QT_ASCII_CAST_WARN QCharRef& operator= | ( | uchar | c | ) | `[inline]`

Definition at line 809 of file qstring.h.

        { return operator=(QChar::fromAscii(c)); }

QCharRef& operator= | ( | const QCharRef & | c | ) | `[inline]`

Definition at line 812 of file qstring.h.

    { return operator=(QChar(c)); }

QCharRef& operator= | ( | ushort | rc | ) | `[inline]`

Definition at line 813 of file qstring.h.

    { return operator=(QChar(rc)); }

QCharRef& operator= | ( | short | rc | ) | `[inline]`

Definition at line 814 of file qstring.h.

    { return operator=(QChar(rc)); }

QCharRef& operator= | ( | uint | rc | ) | `[inline]`

Definition at line 815 of file qstring.h.

    { return operator=(QChar(rc)); }

QCharRef& operator= | ( | int | rc | ) | `[inline]`

Definition at line 816 of file qstring.h.

    { return operator=(QChar(rc)); }

bool isNull | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 819 of file qstring.h.

    { return QChar(*this).isNull(); }

bool isPrint | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 820 of file qstring.h.

    { return QChar(*this).isPrint(); }

bool isPunct | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 821 of file qstring.h.

    { return QChar(*this).isPunct(); }

bool isSpace | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 822 of file qstring.h.

    { return QChar(*this).isSpace(); }

bool isMark | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 823 of file qstring.h.

    { return QChar(*this).isMark(); }

bool isLetter | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 824 of file qstring.h.

    { return QChar(*this).isLetter(); }

bool isNumber | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 825 of file qstring.h.

    { return QChar(*this).isNumber(); }

bool isLetterOrNumber | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 826 of file qstring.h.

    { return QChar(*this).isLetterOrNumber(); }

bool isDigit | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 827 of file qstring.h.

    { return QChar(*this).isDigit(); }

bool isLower | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 828 of file qstring.h.

    { return QChar(*this).isLower(); }

bool isUpper | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 829 of file qstring.h.

    { return QChar(*this).isUpper(); }

bool isTitleCase | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 830 of file qstring.h.

    { return QChar(*this).isTitleCase(); }

int digitValue | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 832 of file qstring.h.

    { return QChar(*this).digitValue(); }

QChar toLower | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 833 of file qstring.h.

    { return QChar(*this).toLower(); }

QChar toUpper | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 834 of file qstring.h.

    { return QChar(*this).toUpper(); }

QChar toTitleCase | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 835 of file qstring.h.

    { return QChar(*this).toTitleCase(); }

QChar::Category category | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 837 of file qstring.h.

    { return QChar(*this).category(); }

QChar::Direction direction | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 838 of file qstring.h.

    { return QChar(*this).direction(); }

QChar::Joining joining | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 839 of file qstring.h.

    { return QChar(*this).joining(); }

bool hasMirrored | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 840 of file qstring.h.

    { return QChar(*this).hasMirrored(); }

QChar mirroredChar | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 841 of file qstring.h.

    { return QChar(*this).mirroredChar(); }

QString decomposition | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 842 of file qstring.h.

    { return QChar(*this).decomposition(); }

QChar::Decomposition decompositionTag | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 843 of file qstring.h.

    { return QChar(*this).decompositionTag(); }

uchar combiningClass | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 844 of file qstring.h.

    { return QChar(*this).combiningClass(); }

QChar::UnicodeVersion unicodeVersion | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 846 of file qstring.h.

    { return QChar(*this).unicodeVersion(); }

uchar cell | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 848 of file qstring.h.

    { return QChar(*this).cell(); }

uchar row | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 849 of file qstring.h.

    { return QChar(*this).row(); }

void setCell | ( | uchar | cell | ) | `[inline]`

Search for all occurrences

Definition at line 879 of file qstring.h.

    { QChar(*this).setCell(acell); }

void setRow | ( | uchar | row | ) | `[inline]`

Search for all occurrences

Definition at line 878 of file qstring.h.

    { QChar(*this).setRow(arow); }

char toAscii | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 858 of file qstring.h.

    { return QChar(*this).toAscii(); }

char toLatin1 | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 859 of file qstring.h.

    { return QChar(*this).toLatin1(); }

ushort unicode | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 860 of file qstring.h.

    { return QChar(*this).unicode(); }

ushort& unicode | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 862 of file qstring.h.

    { return s.data()[i].unicode(); }

## Friends And Related Function Documentation

friend class QString `[friend]`

Search for all occurrences

Definition at line 793 of file qstring.h.

The documentation for this class was generated from the following file:

- QtCore/qstring.h

QCharRef QCharRef QCharRef QCharRef QCharRef QCharRef QCharRef QCharRef QCharRef QCharRef
QCharRef QCharRef QCharRef QCharRef QCharRef QCharRef QCharRef QCharRef QCharRef QCharRef